Name:          imapsync
Version:       2.290
Release:       1mamba
Summary:       IMAP synchronisation, sync, copy or migration tool
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/imapsync/imapsync
Source:        https://imapsync.lamiral.info/dist2/imapsync-%{version}.tgz
#Source:        https://github.com/imapsync/imapsync.git/imapsync-%{version}/imapsync-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-Digest-HMAC
BuildRequires: perl-Encode
BuildRequires: perl-Encode-IMAPUTF7
BuildRequires: perl-File-Copy-Recursive
BuildRequires: perl-File-Tail
BuildRequires: perl-IO-Socket-SSL
BuildRequires: perl-IO-Tee
BuildRequires: perl-Mail-IMAPClient
BuildRequires: perl-Readonly
BuildRequires: perl-Regexp-Common
BuildRequires: perl-Sys-MemInfo
BuildRequires: perl-Term-ReadKey
BuildRequires: perl-Unicode-String
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-App-cpanminus
BuildRequires: perl-Data-Uniqid
BuildRequires: perl-Encode-IMAPUTF7
BuildRequires: perl-JSON-WebToken
BuildRequires: perl-PAR-Packer
BuildRequires: perl-Proc-ProcessTable
BuildRequires: perl-Test-Mock-Guard

%description
imapsync - IMAP synchronisation, sync, copy or migration tool.
Synchronises mailboxes between two imap servers. Good at IMAP migration.
More than 52 different IMAP server softwares supported with success, few failures.

%prep
%setup -q

sed -i "s|^search_modules_any |#search_modules_any |" INSTALL.d/prerequisites_imapsync

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/imapsync
%{_mandir}/man1/imapsync.1*
%doc CREDITS LICENSE

%changelog
* Thu Aug 22 2024 Automatic Build System <autodist@openmamba.org> 2.290-1mamba
- automatic version update by autodist

* Mon Apr 29 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.264-1mamba
- update to 2.264

* Tue Dec 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.229-1mamba
- update to 2.229

* Thu Oct 31 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.945-1mamba
- update to 1.945

* Wed Jul 29 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.637-1mamba
- package created using the webbuild interface
